Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.io
Interface LimitPulseCounterListener

public interface LimitPulseCounterListener

The LimitPulseCounterListener interface defines the capabilities for receiving the indication of a LimitPulseCounter when it has completed counting its number of pulses. To receive the indication and the time taken to count the specified number of pulses a InPortListener interface must be created first.
The limitReached method must contain the processing code for the end of counting.
After creating an instance of LimitPulseCounterListener, this instance has to be passed as a parameter to the LimitPulseCounter.addListener method. After that, the callback methods will be called by the runtime system each time the corresponding events occur.

See Also:
  `LimitPulseCounter`

Method Summary
`void` | `limitReached(int time)` Callback method alled by the runtime system when the LimitPulseCounter has completed counting its number of pulses.

Method Detail

### limitReached

    public void limitReached(int time)

  Callback method alled by the runtime system when the LimitPulseCounter has completed counting its number of pulses. The callback method will be called by the runtime, if an implementation class object is registered as listener for the LimitPulseCounter object.
  While implementing a class for the LimitPulseCounterListener interface, the user can place the code for reaching the counter limit into this method.

  Parameters:
    `time` - The time taken to count the number of pulses specified
  See Also:
    `LimitPulseCounter`, `LimitPulseCounter.addListener(com.siemens.icm.io.LimitPulseCounterListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.